Summary: NIS binding process
Name: ypbind
Version: 3.3
Release: 3
Copyright: GPL
Group: Networking
Source0: ftp://weber.uni-paderborn.de/pub/linux/NIS/ypbind-%{PACKAGE_VERSION}.tar.gz
Source1: ypbind-ypbind.init
Patch0: ypbind-3.3-glibc3.diff.gz
Prereq: /sbin/chkconfig
Source2: ypbind-yp.conf
Requires: portmap
BuildRoot: /var/tmp/ypbind-root

%changelog
* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- added a glibc patch

* Thu Dec 04 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.3 ; fixed spec file for upgrades
- added buildroot and a sample yp.conf file
 
* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- supports chkconfig
- turned off by default in all runlevels
- added restart and status options to the initscript

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built for all platforms

%description
This is a daemon which runs on NIS/YP clients and binds them to a
NIS domain. It must be running for systems based on glibc to behave
as NIS clients.

%prep
%setup
%patch -p1
find . \( -name "*.orig" -o -size 0 \) -exec rm -f {} \;

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 -o 0 -g 0 $RPM_SOURCE_DIR/ypbind-ypbind.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/ypbind
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/ypbind-yp.conf \
        $RPM_BUILD_ROOT/etc/yp.conf
mkdir -p $RPM_BUILD_ROOT/var/yp/binding

%post
/sbin/chkconfig --add ypbind

%postun
if [ $1 = 0 ] ; then
	/sbin/chkconfig --del ypbind
fi

%files
%config /etc/rc.d/init.d/*
/usr/sbin/*
/usr/man/*/*
%config /etc/yp.conf
%dir /var/yp/binding
%doc README

%clean
rm -rf $RPM_BUILD_ROOT
